Bug 458125 - Kernel access of bad area, sig: 11 [#1]
Kernel access of bad area, sig: 11 [#1]
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 11:45 EDT by James Laska
Modified: 2013-09-02 02:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 15:04:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-08-06 11:45:36 EDT
Description of problem:

Performing an NFS installation to a IBM power5 system panics during package install.

Version-Release number of selected component (if applicable):
F10-Alpha (kernel-2.6.27-0.166.rc0.git8.fc10.ppc64)

How reproducible:
So far 1 out of 2 attempts.

Steps to Reproduce:
1. Start NFS installation on power5 system
2. Proceed through prompts selecting defaults
3. Click "OK" to proceed with package installation
  
Actual results:
 * panic (see below)

Expected results:
 * No panic

Additional info:

Oops: Kernel access of bad area, sig: 11 [#1]
SMP NR_CPUS=128 NUMA pSeries
Modules linked in: sha256_generic aes_generic cbc dm_crypt crypto_blkcipher dm_round_robin dm_multipath dm_snapshot dm_mirror dm_log dm_zero dm_mod xfs jfs reiserfs gfs2 msdos linear raid10 raid456 async_xor async_tx xor async_memcpy raid1 raid0 sr_mod cdrom pata_pdc2027x ehci_hcd ipr ohci_hcd e1000 qla4xxx qla3xxx ipv6 iscsi_tcp libiscsi scsi_transport_iscsi ext2 ext3 jbd ext4dev jbd2 mbcache crc16 squashfs loop nfs lockd nfs_acl sunrpc vfat fat cramfs
NIP: c00000000015f2e8 LR: c00000000015f2c8 CTR: 0000000000000000
REGS: c0000000e96c3a60 TRAP: 0300   Tainted: G        W  (2.6.27-0.166.rc0.git8.fc10.ppc64)
MSR: 8000000000009032 <EE,ME,IR,DR>  CR: 24244448  XER: 20000000
DAR: ffffffffd0000018, DSISR: 0000000040010000
TASK = c0000000e9602900[22459] 'anaconda' THREAD: c0000000e96c0000 CPU: 0
GPR00: c00000000015f2c8 c0000000e96c3ce0 c0000000008ea0d0 ffffffffd0000000 
GPR04: c000000000924000 c00000000017e4a8 c000000000838238 0000000000000002 
GPR08: 0000000000000000 0000000000000001 c00000000017e3f0 0000000000000028 
GPR12: 0000000024244424 c00000000092f400 000000000e9cc820 000000000e9cc800 
GPR16: 00000000fffffffe 000000001886c208 0000000000000250 0000000000000001 
GPR20: 0000000014a737a0 0000000014ab7628 0000000018a0fbc8 0000000018a0fc30 
GPR24: 00000000000001b6 c0000000ed780000 000000000000003c ffffffffd0000000 
GPR28: 0000000000010241 fffffffffffff000 000000000fe3eff4 c0000000e96c3ce0 
NIP [c00000000015f2e8] .do_sys_open+0xac/0x154
LR [c00000000015f2c8] .do_sys_open+0x8c/0x154
Call Trace:
[c0000000e96c3ce0] [c00000000015f2c8] .do_sys_open+0x8c/0x154 (unreliable)
[c0000000e96c3d90] [c0000000001ad554] .compat_sys_open+0x48/0x6c
[c0000000e96c3e30] [c000000000008770] syscall_exit+0x0/0x40
Instruction dump:
7f85e378 7f06c378 7f24cb78 48013f0d 60000000 7fa3e840 7c7b1b78 409d0014 
7b430020 7f7a07b4 4bfffa61 48000070 <e9230018> 38a00000 7d234b78 eb890040 
---[ end trace a9c727535bcc0cf2 ]---
anaconda used greatest stack depth: 4288 bytes left
install exited abnormally [1/1] 
sending termination signals...done
sending kill signals...done
disabling swap...
	/dev/mapper/VolGroup00-LogVol01
unmounting filesystems...
	/mnt/runtime done
	disabling /dev/loop0 LOOP_CLR_FD failed: 6
	/proc done
	/dev/pts done
	/sys done
	/mnt/stage2 done
	/selinux done
	/mnt/sysimage/boot done
	/mnt/sysimage/sys done
	/mnt/sysimage/proc done
	/mnt/sysimage/selinux done
	/mnt/sysimage/dev done
	/mnt/sysimage done
	/mnt/source done
you may safely reboot your system
Comment 1 Steve Whitehouse 2008-10-07 06:25:30 EDT
Maybe an NFS problem or maybe not.... its not very clear.
Comment 2 Chuck Ebbert 2008-10-10 03:49:12 EDT
Is this still happening?
Comment 3 Steve Dickson 2008-10-10 07:08:36 EDT
I would say not... ;-)
Comment 4 James Laska 2008-10-13 08:53:56 EDT
I haven't seen this on F10-Beta
Comment 5 Steve Dickson 2008-10-14 15:04:58 EDT
Ok... I'll close this until its seen again...

Note You need to log in before you can comment on or make changes to this bug.